#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: ixset-typed
version: 0.3.1.1
id: ixset-typed-0.3.1.1-4fUzEM1GbyD92fBmD83JC6
key: ixset-typed-0.3.1.1-4fUzEM1GbyD92fBmD83JC6
license: BSD3
maintainer: Andres Löh <andres@well-typed.com>
synopsis: Efficient relational queries on Haskell sets.
description:
    This Haskell package provides a data structure of sets that are indexed
    by potentially multiple indices.
    .
    Sets can be created, modified, and queried in various ways.
    .
    The package is a variant of the <https://hackage.haskell.org/package/ixset ixset>
    package. The ixset package makes use
    of run-time type information to find a suitable index on a query, resulting
    in possible run-time errors when no suitable index exists. In ixset-typed,
    the types of all indices available or tracked in the type system.
    Thus, ixset-typed should be safer to use than ixset, but in turn requires
    more GHC extensions.
    .
    At the moment, the two packages are relatively compatible. As a consequence
    of the more precise types, a few manual tweaks are necessary when switching
    from one to the other, but the interface is mostly the same.
category: Data Structures
author: Andres Löh, Happstack team, HAppS LLC
exposed: True
indefinite: False
exposed-modules:
    Data.IxSet.Typed Data.IxSet.Typed.Ix
abi: 7d63b00136487b6020359c223046c416
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/ixset-typed-0.3.1.1
library-dirs: /usr/lib/ghc-8.2.1/site-local/ixset-typed-0.3.1.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.1/ixset-typed-0.3.1.1
hs-libraries: HSixset-typed-0.3.1.1-4fUzEM1GbyD92fBmD83JC6
depends:
    base-4.10.0.0 containers-0.5.10.2 deepseq-1.4.3.0
    safecopy-0.9.3.3-8F3iHBCU2YoAi5AuuVN331
    syb-0.7-2rRPTNxBP6YFePrCXw4i2o template-haskell-2.12.0.0
abi-depends: base-4.10.0.0=32d562aa6d04d35ac79a0f49c17325ff
             containers-0.5.10.2=e086202b65ca66a107fcba9d846fc3e0
             deepseq-1.4.3.0=15f2832424b38ea5b23f1ebc9071dcc3
             safecopy-0.9.3.3-8F3iHBCU2YoAi5AuuVN331=c82a2c15d19fd01f1e3352299941c8aa
             syb-0.7-2rRPTNxBP6YFePrCXw4i2o=119e2c6ac6f570dd5e30835fe9c8c288
             template-haskell-2.12.0.0=612ee923b47f5e11502cef08338c9f82
haddock-interfaces: /usr/share/doc/haskell-ixset-typed/html/ixset-typed.haddock
haddock-html: /usr/share/doc/haskell-ixset-typed/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

